=pod

=head1 NAME

EVP_MD-KECCAK - The KECCAK EVP_MD implementations

=head1 DESCRIPTION

Support for computing KECCAK digests through the B<EVP_MD> API.

=head2 Identities

This implementation is available in the default provider and
includes the following varieties:

=over 4

=item "KECCAK-224"

=item "KECCAK-256"

=item "KECCAK-384"

=item "KECCAK-512"

=back

=head2 Gettable Parameters

This implementation supports the common gettable parameters described
in L<EVP_MD-common(7)>.

=head1 SEE ALSO

L<provider-digest(7)>, L<OSSL_PROVIDER-default(7)>

=head1 COPYRIGHT

Copyright 2021 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License").  You may not use
this file except in compliance with the License.  You can obtain a copy
in the file LICENSE in the source distribution or at
L<https://www.openssl.org/source/license.html>.

=cut
